<template>
  <div class="branches">
  <div class="columns">
    <div class="column is-two-thirds">
    <div class="box">
      <the-header title="Ramais" subtitle="" />
      <the-table 
        :isLoading="isLoading"
        title="Ramais adicionados" 
        perPage="50"
        :content="branches" 
        :columns="columns"
        v-on:createItem="createItem">
      </the-table>
    </div> <!-- box -->
      <the-back-button class="is-hidden-mobile" />
    </div> <!-- column -->
    <div class="column">
      <div class="box">
				<h2 class="title">Informações</h2>
					<div class="content">
						<dl>
							<dt class="has-text-weight-bold">Ligação entre ramais (inclusive Reitoria)</dt>
							<dd>Número desejado</dd>
							<dt class="has-text-weight-bold">Ligação local (DDD 85)</dt>
							<dd>0 + número desejado</dd>
							<dt class="has-text-weight-bold">Ligação DDD (DDD 88, 61, 11 etc)</dt>
							<dd>0 + DDD + número desejado</dd>
							<dt class="has-text-weight-bold">Ligação de Emergência</dt>
							<dd>Digitar os 3 números diretamente</dd>
							<dt class="has-text-weight-bold">Ligação para 0800</dt>
							<dd>Digitar o número diretamente</dd>
						</dl>
					</div>
				<h4 class="subtitle">Atalhos</h4>
					<div class="content">
						<dl>
							<dt class="has-text-weight-bold">Transferir ligação</dt>
							<dd>*2 + ramal desejado</dd>
							<dt class="has-text-weight-bold">Puxar ligação</dt>
							<dd>*8</dd>
						</dl>
					</div>
        <h4 class="subtitle">Ramais da Reitoria</h4>
					<div class="content">
						<p>Os ramais da Reitoria podem ser visualizados <a href="http://ramais.ifce.edu.br" target="_blank">aqui</a>.</p>
					</div> <!-- content -->
				</div>
        <the-back-button class="is-hidden-desktop" />
			</div> <!-- column -->
    </div> <!-- columns -->
  </div>
</template>

<script>
export default {
  name: 'IndexBranches',
  data: function ()  {
    return {}
  },
  created () {
    this.$store.dispatch('getBranches')
  },
  methods: {
    createItem: function () {
    },
  },
  computed: {
    branches () {
      return this.$store.state.branches.branches
    },
    columns () {
      return [
        {
          field: 'sector',
          label: 'Setor',
					searchable: true
        },
        {
          field: 'contacts',
          label: 'Contatos',
          sortable: true,
					searchable: true
        },
        {
          field: 'branch_line',
          label: 'Ramal'
        },
      ]
      
    },
    isLoading () {
      return this.$store.state.branches.loading
    },
    error () {
      return this.$store.state.branches.error
    },
    errorMsg () {
      return this.$store.state.branches.errorMsg
    }
  }
}
</script>
